Package it.ernytech.tdlib

## Class TdApi.UpdateNewChosenInlineResult

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateNewChosenInlineResult

Enclosing class:
  TdApi

    public static class TdApi.UpdateNewChosenInlineResult
    extends TdApi.Update

The user has chosen a result of an inline query; for bots only.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `inlineMessageId` Identifier of the sent inline message, if known.
`java.lang.String` `query` Text of the query.
`java.lang.String` `resultId` Identifier of the chosen result.
`int` `senderUserId` Identifier of the user who sent the query.
`TdApi.Location` `userLocation` User location, provided by the client; may be null.

### Constructor Summary

Constructors
`UpdateNewChosenInlineResult()` Default constructor.
`UpdateNewChosenInlineResult​(int senderUserId, TdApi.Location userLocation, java.lang.String query, java.lang.String resultId, java.lang.String inlineMessageId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### senderUserId

    public int senderUserId

Identifier of the user who sent the query.

#### userLocation

    public TdApi.Location userLocation

User location, provided by the client; may be null.

#### query

    public java.lang.String query

Text of the query.

#### resultId

    public java.lang.String resultId

Identifier of the chosen result.

#### inlineMessageId

    public java.lang.String inlineMessageId

Identifier of the sent inline message, if known.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateNewChosenInlineResult

    public UpdateNewChosenInlineResult()

Default constructor.

#### UpdateNewChosenInlineResult

    public UpdateNewChosenInlineResult​(int senderUserId,
                                       TdApi.Location userLocation,
                                       java.lang.String query,
                                       java.lang.String resultId,
                                       java.lang.String inlineMessageId)

Constructor for initialization of all fields.

Parameters:
  `senderUserId` - Identifier of the user who sent the query.
  `userLocation` - User location, provided by the client; may be null.
  `query` - Text of the query.
  `resultId` - Identifier of the chosen result.
  `inlineMessageId` - Identifier of the sent inline message, if known.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR